Page MenuHomePhabricator

Give changetags user right only to bot and autopatrolled on fr.wikipedia
Closed, ResolvedPublic

Description

Please see this poll.

The result is that on fr.wikipedia, about changetags right, it would be good to

  • remove it from user group
  • add it to both bot and autopatrolled groups.

Thank you

Event Timeline

Dr_Brains created this task.May 8 2015, 6:34 PM
Dr_Brains raised the priority of this task from to Normal.
Dr_Brains updated the task description. (Show Details)
Dr_Brains added a subscriber: Dr_Brains.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2015, 6:34 PM
Krenair reopened this task as Open.May 8 2015, 6:36 PM
Krenair removed a project: MediaWiki-Change-tagging.
Dereckson added subscribers: Arkanosis, Dereckson.

Usage on the French Wikipedia is to use « prises de décision » (formal rfc) and not « sondages » (informal polls) to change rights.

This is translated by a broader level of participation (100 to 150 advices usually), and a discussion phase.

I especially note more technical inclined users like @Arkanosis have expressed reserves about this decision, but furthermore note the poll were without any explanation or discussion.

Usually, when a new question arises, a poll is taken to get an idea about community interest, then a prise de décision is launched.

Finally, a lot of users on the French Wikipedia considers polls to have absolutely no binding values, and generally require prises de décisions for that role. This point is so consensual than the [[Wikipédia:Sondage]] page says « Les sondages ne sont pas des prises de décisions et sont juste là à titre indicatif. » (sondages aren't prises de décisions and are only there for information purposes only).

(A little detail: the vote uses the Condorcet method, it would be nice to add in such cases in talk pages the results of this Condorcet poll, as it's not as straightforward to grasp as other methods. B is indeed « à l'oeil nu » the winner, but I'm curious about the score of A for example.)

Gratus added a comment.May 9 2015, 9:03 AM

Can you confirm that I must create « prises de décision » (formal rfc) for this topic ?

I save the detailled results of the pool on my computer, I can send mail if you contact me.

Hi @Dereckson, hi everyone,

To avoid any misunderstanding, my opinion in this pool is based only on philosophical grounds, not technical ones.

Best regards,

Dereckson added a comment.EditedMay 11 2015, 9:52 AM

Thank you @Arkanosis for clarification.

Can you confirm that I must create « prises de décision » (formal rfc) for this topic ?

Yes, I think so.

Elfix added a subscriber: Elfix.May 16 2015, 10:02 AM

I would like to clarify a few things.

Finally, a lot of users on the French Wikipedia considers polls to have absolutely no binding values, and generally require prises de décisions for that role. This point is so consensual than the [[Wikipédia:Sondage]] page says « Les sondages ne sont pas des prises de décisions et sont juste là à titre indicatif. » (sondages aren't prises de décisions and are only there for information purposes only).

Unless one wants to turn Wikipedia into a bureaucratic experiment, a poll is enough to prove there is community support for something.

Some polls in the past have led to technical changes approved on Bugzilla:

https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Activation_du_statut_de_cr%C3%A9ateur_de_comptes_utilisateur
https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Le_Bistro/3_octobre_2009#Sondage_:_patrol

I haven't looked at the details of this particular poll that is being discussed here, I just felt like I should remind that polls can have value with regards to community consensus determination.

Dereckson added a comment.EditedMay 16 2015, 2:00 PM

As far as we're concerned, a consensus of 30+ people could be enough for a big wiki to request a change.

The sondage vs. prise de décision requirements is to be defined at the local community level, we only ensure if the change respects the local community requirements.

I've no objection to process this change request if the fr.wikipedia community considers a sondage is now enough, and prises de décisions not needed anymore, but please first edit [[Wikipédia:Sondage]] introduction to reflect the real value of sondages, as we can't accept a change as long as there is a mention forbidding to take them in consideration (the current introduction says clearly (and in bold characters, which gives some emphasis) is « Les sondages ne sont pas des prises de décisions et sont juste là à titre indicatif. »).

Please also note the two previous polls date from 2009. We are now in 2015 and have worked hard in 2012-2013 in collaboration with stewards to define the level of consensus a community should offer. I can't certify "Ensure the consensus link respects the local rules of the community" were a point especially checked in 2009.

Note: it occurs fr.wikipedia is a wiki I'm active on, the "we" in this comment should be interpreted as "we, who handle site requests and other configuration changes" and not as "we, the French Wikipedia community".

3 site requests were done in 2015 as the result of polls:

https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Activation_syst%C3%A9matique_des_liens_interprojets_dans_le_menu_lat%C3%A9ral_de_Wikip%C3%A9dia
https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Autoriser_les_utilisateurs_autoconfirm%C3%A9s_%C3%A0_renommer_des_fichiers
https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Activation_de_l%27outil_de_traduction

The second one is also related to right changes.

The current practice is that when it is clear that no further discussions will change the result, a poll is enough. It may be hard to judge if this is the case, but if nobody is willing to continue the discussion at the end of the poll, you can certainly take it as granted.

(Note: despite being against the proposal made in this particular poll, I make this comment because I find it more important in general that the fact that the community has moved to a more lightweight decision process is recognized here)

3 site requests were done in 2015 as the result of polls:
[...]
The current practice is that when it is clear that no further discussions will change the result, a poll is enough. It may be hard to judge if this is the case, but if nobody is willing to continue the discussion at the end of the poll, you can certainly take it as granted.

As indicated above, the fact the community is now in favour of a more lightweight decision process should be properly documented on the Wikipédia:Sondage page which still today says « Les sondages ne sont pas des prises de décisions et sont juste là à titre indicatif. ». This is the real blocker here, the information in the wiki documentation polls can't be enacted.

Elfix added a comment.May 17 2015, 7:05 PM

Please also note the two previous polls date from 2009.

The poll about account creators was opened back in 2009, but was actually enacted in 2012.

3 site requests were done in 2015 as the result of polls:
[...]
The current practice is that when it is clear that no further discussions will change the result, a poll is enough. It may be hard to judge if this is the case, but if nobody is willing to continue the discussion at the end of the poll, you can certainly take it as granted.

As indicated above, the fact the community is now in favour of a more lightweight decision process should be properly documented on the Wikipédia:Sondage page which still today says « Les sondages ne sont pas des prises de décisions et sont juste là à titre indicatif. ». This is the real blocker here, the information in the wiki documentation polls can't be enacted.

Once again, Wikipedia is no bureaucratic experiment. Having a poll only "for informative purposes" is enough to prove there is community consensus for something. If there is need for specific rules, then the community can use the usual formal processes.

Practice proves that it's always worked this particular way for many years (at least since 2009, as pointed out above) - however the front text of [[Wikipédia:Sondage]] might be interpreted.

As indicated above, the fact the community is now in favour of a more lightweight decision process should be properly documented on the Wikipédia:Sondage page

Done

FWIW, there is no objection to process this task now?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 25 2015, 9:56 PM

Change 237149 had a related patch set uploaded (by MarcoAurelio):
Modify user rights configuration at frwiki for changetags

https://gerrit.wikimedia.org/r/237149

MarcoAurelio added a subscriber: MarcoAurelio.

Patch submitted for review given that it seems to me no consensus concerns are blocking this task now.

Change 237149 merged by jenkins-bot:
Modify user rights configuration at frwiki for changetags

https://gerrit.wikimedia.org/r/237149

Krenair closed this task as Resolved.Sep 18 2015, 2:13 AM
Krenair moved this task from Working on to Done on the Wikimedia-Site-requests board.
Krenair added a subscriber: Krenair.